<?php

namespace App\Http\Controllers;

use App\Models\Movimiento;
use App\Models\Punto;
use App\Models\Maquina;
use App\Models\Referencia;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

/**
 * Class MovimientoController
 * @package App\Http\Controllers
 */
class MovimientoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public  $clave = "ScI74M3b%CYYFOqARIbNkvCnSN9QzQ2oKqtFRQ6";
    public function index()
    {
        $referencias = Referencia::all();
        $puntos = Punto::all();
        $fecha = date("Y-m-d");
        // $movimientos = Movimiento::select(['id', 'codigoqr', 'punto_origen', 'textoreferencia', 'textoorigen', 'textodestino', 'peso', 'textousuario', 'estado', 'created_at'])->whereIn('id', Movimiento::select(DB::raw('MAX(id)'))->where("estado", 1)->orWhere('estado', 2)->groupBy('codigoqr'))->get();

        $sql = 'SELECT * FROM movimientos WHERE id IN (select MAX(id) FROM movimientos GROUP BY codigoqr) AND ( estado=1 OR estado=2) ORDER BY id DESC';
        $movimientos = DB::select($sql);
        return view('movimiento.index', compact('movimientos', 'puntos', 'referencias', 'fecha'));
    }

    public function filtrar(Request $request)
    {

        $referencias = Referencia::all();
        $puntos = Punto::all();
        $fecha = $request->created_at;
        $sql2 = "";
        if ($request->referencia_id > 0) {
            $sql2 = "AND referencia_id=" . $request->referencia_id;
        }
        $sql = "SELECT * FROM movimientos WHERE id IN (select MAX(id) FROM movimientos WHERE created_at<= '" . $request->created_at . " 23:59:59' " . $sql2 . " GROUP BY codigoqr) AND ( estado=1 OR estado=2) ORDER BY id DESC";

        $movimientos = DB::select($sql);

        return view('movimiento.index', compact('movimientos', 'puntos', 'referencias', 'fecha'));
    }

    public function consumidof(Request $request)
    {

        $referencias = Referencia::all();
        $maquinas = Maquina::all();
        $fecha1 = $request->fecha1;
        $fecha2 = $request->fecha2;
        $sql2 = "";
        if ($request->referencia_id > 0) {
            $sql2 = " AND referencia_id=" . $request->referencia_id;
        }
        if ($request->maquina_origen > 0) {
            $sql2 .= " AND maquina_origen=" . $request->maquina_origen;
        }

        $sql = "SELECT * FROM movimientos WHERE  ( estado=3 OR estado=4) AND created_at > '" . $fecha1 . " 00:00:00' AND created_at < '" . $fecha2 . " 23:59:59' " . $sql2 . "  ORDER BY id DESC";

        $movimientos = DB::select($sql);

        return view('movimiento.consumidof', compact('movimientos', 'maquinas', 'referencias', 'fecha1', 'fecha2'));
    }

    public function consumido()
    {
        $referencias = Referencia::all();
        $maquinas = Maquina::all();

        return view('movimiento.consumido', compact('maquinas', 'referencias'));
    }
    public function duracion()
    {
    }
    public function codigof(Request $request)
    {

        $movimientos = Movimiento::select(['id', 'codigoqr', 'punto_origen', 'textoreferencia', 'textoorigen', 'textodestino', 'peso', 'textousuario', 'estado', 'created_at'])->where("codigoqr", $request->codigoqr)->get();

        return view('movimiento.codigo', compact('movimientos'));
    }


    public function historial(Request $request)
    {

        $movimientos = Movimiento::select(['id', 'codigoqr', 'punto_origen', 'textoreferencia', 'textoorigen', 'textodestino', 'peso', 'textousuario', 'estado', 'created_at'])->where("codigoqr", $request->codigoqr)->get();

?>

        <table class="table table-striped table-hover">
            <thead class="thead">
                <tr>


                    <th>Codigoqr</th>
                    <th>Referencia</th>
                    <th>Punto Origen</th>
                    <th>Punto Destino</th>
                    <th>Peso</th>
                    <th>Usuario</th>
                    <th>Estado</th>
                    <th>Fecha</th>

                </tr>
            </thead>
            <tbody>
                <?php foreach ($movimientos as $movimiento) { ?>

                    <tr>


                        <td><?php echo $movimiento->codigoqr; ?></td>
                        <td><?php echo $movimiento->textoreferencia; ?></td>
                        <td><?php echo  $movimiento->textoorigen; ?></td>
                        <td><?php echo  $movimiento->textodestino; ?></td>
                        <td><?php echo  $movimiento->peso; ?></td>
                        <td><?php echo  $movimiento->textousuario; ?></td>

                        <td <?php if ($movimiento->estado == 1) {
                                echo 'style="color: red;"';
                            }
                            if ($movimiento->estado == 3) {
                                echo 'style="color: green;"';
                            }
                            if ($movimiento->estado == 4) {
                                echo 'style="color: green;"';
                            }
                            if ($movimiento->estado == 2) {
                                echo 'style="color: blue;"';
                            } ?>><?php if ($movimiento->estado == 1) {
                                        echo "En Punto";
                                    }
                                    if ($movimiento->estado == 2) {
                                        echo "En Traslado";
                                    }

                                    if ($movimiento->estado == 3) {
                                        echo "Consumido";
                                    }
                                    if ($movimiento->estado == 4) {
                                        echo "finalizado";
                                    }
                                    ?></td>
                        <td><?php echo $movimiento->created_at; ?></td>


                    </tr>

                <?php } ?>
            </tbody>
        </table>

<?php



    }

    public function codigo(Request $request)
    {


        return view('movimiento.codigof');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $movimiento = new Movimiento();
        return view('movimiento.create', compact('movimiento'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        request()->validate(Movimiento::$rules);

        $movimiento = Movimiento::create($request->all());

        return redirect()->route('movimientos.index')
            ->with('success', 'Movimiento created successfully.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $movimiento = Movimiento::find($id);

        return view('movimiento.show', compact('movimiento'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $movimiento = Movimiento::find($id);

        return view('movimiento.edit', compact('movimiento'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  Movimiento $movimiento
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Movimiento $movimiento)
    {
        request()->validate(Movimiento::$rules);

        $movimiento->update($request->all());

        return redirect()->route('movimientos.index')
            ->with('success', 'Movimiento updated successfully');
    }

    /**
     * @param int $id
     * @return \Illuminate\Http\RedirectResponse
     * @throws \Exception
     */
    public function destroy($id)
    {
        $movimiento = Movimiento::find($id)->delete();

        return redirect()->route('movimientos.index')
            ->with('success', 'Movimiento deleted successfully');
    }

    //api
    public function generarCodigos(Request $request)
    {

        if ($request->key == $this->clave) {

            for ($i = 0; $i < $request->cantidad; $i++) {
                $idunico = uniqid();
                $arr[] = $idunico;
                $request->request->add(['codigoqr' => $idunico]); //add request
              

                Movimiento::create($request->all());
            }
        } else {
            return [];
        }

        return $arr;
    }

    public function traerMovimiento(Request $request)
    {

        if ($request->key == $this->clave) {

            $movimiento =     Movimiento::where('codigoqr', $request->codigoqr)->orderByDesc('id')->limit(1)->get();
        } else {
            return [];
        }

        // return $movimiento;
        return  $movimiento;
    }

    public function guardarMovimiento(Request $request)
    {

        if ($request->key == $this->clave) {

            if ($request->punto_destino > 0) {
                $request->request->add(['estado' => 2]); //add request

            }

            if ($request->maquina_origen > 0) {
                $request->request->add(['estado' => 3]); //add request

            }

            Movimiento::create($request->all());
            return 1;
        } else {
            return 0;
        }
    }


    public function salidaMovimiento(Request $request)
    {




        if ($request->key == $this->clave) {
            $movimiento =   Movimiento::where('codigoqr', $request->codigoqr)->orderByDesc('id')->limit(1)->get();

            $request->request->add(['estado' => 4]); //add request
            $request->request->add(['referencia_id' => $movimiento[0]["referencia_id"]]); //add request
            $request->request->add(['peso' => $movimiento[0]["peso"]]); //add request
            $request->request->add(['cantidad' => $movimiento[0]["cantidad"]]); //add request
            $request->request->add(['punto_origen' => $movimiento[0]["punto_origen"]]); //add request
            $request->request->add(['punto_destino' => $movimiento[0]["punto_destino"]]); //add request
            $request->request->add(['referencia_destino' => $movimiento[0]["referencia_destino"]]); //add request
            $request->request->add(['usuario' => $movimiento[0]["usuario"]]); //add request
            $request->request->add(['textoorigen' => $movimiento[0]["textoorigen"]]); //add request
            $request->request->add(['textousuario' => $movimiento[0]["textousuario"]]); //add request
            $request->request->add(['textoreferencia' => $movimiento[0]["textoreferencia"]]); //add request
            $request->request->add(['textodestino' => $movimiento[0]["textodestino"]]); //add request

            Movimiento::create($request->all());
            return 1;
        } else {
            return 0;
        }
    }
}
