<?php

namespace App\Http\Controllers;

use App\Models\Operario;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

/**
 * Class OperarioController
 * @package App\Http\Controllers
 */
class OperarioController extends Controller
{
    public  $clave = "ScI74M3b%CYYFOqARIbNkvCnSN9QzQ2oKqtFRQ6";

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $operarios = Operario::paginate();

        return view('operario.index', compact('operarios'))
            ->with('i', (request()->input('page', 1) - 1) * $operarios->perPage());
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $operario = new Operario();
        return view('operario.create', compact('operario'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        request()->validate(Operario::$rules);

        $operario = Operario::create($request->all());

        return redirect()->route('operarios.index')
            ->with('success', 'Operario created successfully.');
    }

    public function storeadmin(Request $request)
    {
        return User::create([
            'name' => $request->name,
            'email' => $request->email,
            'password' => Hash::make($request->password),
        ]);

        return redirect("/admin");
    }



    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $operario = Operario::find($id);

        return view('operario.show', compact('operario'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $operario = Operario::find($id);

        return view('operario.edit', compact('operario'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  Operario $operario
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Operario $operario)
    {
        request()->validate(Operario::$rules);

        $operario->update($request->all());

        return redirect()->route('operarios.index')
            ->with('success', 'Operario updated successfully');
    }

    /**
     * @param int $id
     * @return \Illuminate\Http\RedirectResponse
     * @throws \Exception
     */
    public function destroy($id)
    {
        $operario = Operario::find($id)->delete();

        return redirect()->route('operarios.index')
            ->with('success', 'Operario deleted successfully');
    }
    public function destroy2(Request $request)
    {
        $usuario = User::find($request->id)->delete();

        return redirect("/admin");
    }
    public function administradores()
    {
        $users = User::all();

        return view('operario.admin', compact('users'));
    }


    public function administradorescrear()
    {
      

        return view('operario.guardaradmin');
    }
    //api

    public function validar(Request $request)
    {

        // $usuario = Usuario::where('')
        if ($request->key == $this->clave) {
            $usuario = Operario::where([
                'usuario' => $request->user,
                'contraseña' => $request->pass
            ])->get();

            return $usuario;
        } else {

            return [];
        }
    }
}
