<?php

namespace App\Http\Controllers;

use App\Models\Punto;
use Illuminate\Http\Request;

/**
 * Class PuntoController
 * @package App\Http\Controllers
 */
class PuntoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public  $clave = "ScI74M3b%CYYFOqARIbNkvCnSN9QzQ2oKqtFRQ6";
    public function index()
    {
        $puntos = Punto::paginate();

        return view('punto.index', compact('puntos'))
            ->with('i', (request()->input('page', 1) - 1) * $puntos->perPage());
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $punto = new Punto();
        return view('punto.create', compact('punto'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        request()->validate(Punto::$rules);

        $punto = Punto::create($request->all());

        return redirect()->route('puntos.index')
            ->with('success', 'Punto created successfully.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $punto = Punto::find($id);

        return view('punto.show', compact('punto'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $punto = Punto::find($id);

        return view('punto.edit', compact('punto'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  Punto $punto
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Punto $punto)
    {
        request()->validate(Punto::$rules);

        $punto->update($request->all());

        return redirect()->route('puntos.index')
            ->with('success', 'Punto updated successfully');
    }

    /**
     * @param int $id
     * @return \Illuminate\Http\RedirectResponse
     * @throws \Exception
     */
    public function destroy($id)
    {
        $punto = Punto::find($id)->delete();

        return redirect()->route('puntos.index')
            ->with('success', 'Punto deleted successfully');
    }


    //api 
    public function traerPuntos(Request $request)
    {
        if ($request->key == $this->clave) {
            $puntos = Punto::all();
            return $puntos;
        } else {
            return [];
        }
    }

    public function traerPuntos1(Request $request)
    {
        if ($request->key == $this->clave) {
            $puntos = Punto::limit(1)->get();
            return $puntos;
        } else {
            return [];
        }
    }
}
