<?php

namespace App\Http\Controllers;

use App\Models\Referencia;
use App\Models\Categoria;
use Illuminate\Http\Request;

/**
 * Class ReferenciaController
 * @package App\Http\Controllers
 */
class ReferenciaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public  $clave = "ScI74M3b%CYYFOqARIbNkvCnSN9QzQ2oKqtFRQ6";
    public function index()
    {
        $referencias = Referencia::all();

        return view('referencia.index', compact('referencias'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $referencia = new Referencia();
        $categorias = Categoria::pluck('nombre', 'id');
        return view('referencia.create', compact('referencia', 'categorias'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        request()->validate(Referencia::$rules);

        $referencia = Referencia::create($request->all());

        return redirect()->route('referencias.index')
            ->with('success', 'Referencia created successfully.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $referencia = Referencia::find($id);

        return view('referencia.show', compact('referencia'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $referencia = Referencia::find($id);
        $categorias = Categoria::pluck('nombre', 'id');
        return view('referencia.edit', compact('referencia', 'categorias'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  Referencia $referencia
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Referencia $referencia)
    {
        request()->validate(Referencia::$rules);

        $referencia->update($request->all());

        return redirect()->route('referencias.index')
            ->with('success', 'Referencia updated successfully');
    }

    /**
     * @param int $id
     * @return \Illuminate\Http\RedirectResponse
     * @throws \Exception
     */
    public function destroy($id)
    {
        $referencia = Referencia::find($id)->delete();

        return redirect()->route('referencias.index')
            ->with('success', 'Referencia deleted successfully');
    }


    //api 
    public function traerReferencias(Request $request)
    {
        if ($request->key == $this->clave) {

            $referencias = Referencia::where('codigo', 'LIKE', '%' . $request->search . '%')
                ->orWhere('nombre', 'LIKE', '%' . $request->search . '%')
                ->limit(10)->get();
            return $referencias;
        } else {
            return [];
        }
    }
}
