<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class Alerta
 *
 * @property $id
 * @property $punto_id
 * @property $dias
 * @property $created_at
 * @property $updated_at
 *
 * @property Punto $punto
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class Alerta extends Model
{
    
    static $rules = [
		'punto_id' => 'required',
		'dias' => 'required',
    ];

    protected $perPage = 20;

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['punto_id','dias'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function punto()
    {
        return $this->hasOne('App\Models\Punto', 'id', 'punto_id');
    }
    

}
