<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class Maquina
 *
 * @property $id
 * @property $proceso_id
 * @property $codigo
 * @property $nombre
 * @property $ubicacion
 * @property $marca
 * @property $created_at
 * @property $updated_at
 *
 * @property Proceso $proceso
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class Maquina extends Model
{
    
    static $rules = [
		'proceso_id' => 'required',
		'codigo' => 'required',
		'nombre' => 'required',
		'ubicacion' => 'required',
		'marca' => 'required',
    ];

    protected $perPage = 20;

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['proceso_id','codigo','nombre','ubicacion','marca'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function proceso()
    {
        return $this->hasOne('App\Models\Proceso', 'id', 'proceso_id');
    }
    

}
