<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;


/**
 * Class Movimiento
 *
 * @property $id
 * @property $codigoqr
 * @property $referencia_id
 * @property $punto_origen
 * @property $punto_destino
 * @property $cantidad
 * @property $estado
 * @property $peso
 * @property $color
 * @property $fecha
 * @property $usuario
 * @property $latitud
 * @property $longitud
 * @property $maquina_origen
 * @property $maquina_destino
 * @property $referencia_destino
 * @property $textoorigen
 * @property $textodestino
 * @property $textousuario
 * @property $textoreferencia
 * @property $created_at
 * @property $updated_at
 *
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class Movimiento extends Model
{

	static $rules = [
		'codigoqr' => 'required',
		'referencia_id' => 'required',
		'punto_origen' => 'required',
		'punto_destino' => 'required',
		'cantidad' => 'required',
		'estado' => 'required',
		'peso' => 'required',
		'color' => 'required',
		'fecha' => 'required',
		'usuario' => 'required',
		'latitud' => 'required',
		'longitud' => 'required',
		'maquina_origen' => 'required',
		'maquina_destino' => 'required',
		'textoorigen' => 'required',
		'textodestino' => 'required',
		'textousuario' => 'required',
		'textoreferencia' => 'required',
	];

	protected $perPage = 20;

	/**
	 * Attributes that should be mass-assignable.
	 *
	 * @var array
	 */
	protected $fillable = ['codigoqr', 'referencia_id', 'punto_origen', 'punto_destino', 'cantidad', 'estado', 'peso', 'color', 'fecha', 'usuario', 'latitud', 'longitud', 'maquina_origen', 'maquina_destino', 'referencia_destino', 'textoorigen', 'textodestino', 'textousuario', 'textoreferencia'];
}
