<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class Punto
 *
 * @property $id
 * @property $nombre
 * @property $direccion
 * @property $ciudad
 * @property $latitud
 * @property $longitud
 * @property $created_at
 * @property $updated_at
 *
 * @property Alerta[] $alertas
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class Punto extends Model
{
    
    static $rules = [
		'nombre' => 'required',
		'direccion' => 'required',
		'ciudad' => 'required',
		'latitud' => 'required',
		'longitud' => 'required',
    ];

    protected $perPage = 20;

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['nombre','direccion','ciudad','latitud','longitud'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function alertas()
    {
        return $this->hasMany('App\Models\Alerta', 'punto_id', 'id');
    }
    

}
