<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class Referencia
 *
 * @property $id
 * @property $categoria_id
 * @property $codigo
 * @property $nombre
 * @property $unidad
 * @property $created_at
 * @property $updated_at
 *
 * @property Categoria $categoria
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class Referencia extends Model
{
    
    static $rules = [
		'categoria_id' => 'required',
		'codigo' => 'required',
		'nombre' => 'required',
		'unidad' => 'required',
    ];

    protected $perPage = 20;

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['categoria_id','codigo','nombre','unidad'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function categoria()
    {
        return $this->hasOne('App\Models\Categoria', 'id', 'categoria_id');
    }
    

}
