@extends('layouts.app')

@section('template_title')
Movimiento
@endsection

@section('content')
<meta name="csrf-token" content="{{ csrf_token() }}">
<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-header">
                    <div style="display: flex; justify-content: space-between; align-items: center;">

                        <span id="card_title">
                            {{ __('Reporte de Consumidos') }}
                        </span>


                    </div>
                </div>


                <div class="card-body">
                    <div class="container mt-5">

                        <div class="row d-flex justify-content-center">
                            <form name="filtros" id="filtros" method="POST" action="{{ url('consumidof') }}">
                                <div class="mb-3">
                                    <label for="exampleFormControlInput1" class="form-label">Referencia</label>
                                    <select name="referencia_id" id="referencia_id" class="form-select form-select-lg mb-3 select2" data-placeholder="Referencia">
                                        <option></option>
                                        @foreach ($referencias as $referencia)
                                        <option @php if(isset($_POST["referencia_id"]) && $_POST["referencia_id"]==$referencia->id) { echo "selected"; } @endphp value="{{ $referencia->id }}">{{ $referencia->nombre }}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="mb-3">
                                    <label for="exampleFormControlInput1" class="form-label">Maquina</label>
                                    <select name="maquina_origen" id="maquina_origen" class="form-select form-select-lg mb-3 select2" data-placeholder="Referencia">
                                        <option></option>
                                        @foreach ($maquinas as $maquina)
                                        <option @php if(isset($_POST["maquina_origen"]) && $_POST["maquina_origen"]==$maquina->id) { echo "selected"; } @endphp value="{{ $maquina->id }}">{{ $maquina->nombre }}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="mb-3">
                                    <label for="exampleFormControlInput1" class="form-label">Fecha Inicial</label>
                                    <input placeholder="Select date" type="date" name="fecha1" id="fecha1" class="form-control" value=" <?php if (isset($_POST["fecha1"])) {
                                                                                                                                            echo $_POST["fecha1"];
                                                                                                                                        } ?>">

                                </div>
                                <div class="mb-3">
                                    <label for="exampleFormControlInput1" class="form-label">Fecha Final</label>
                                    <input placeholder="Select date" type="date" name="fecha2" id="fecha2" class="form-control" value=" <?php if (isset($_POST["fecha2"])) {
                                                                                                                                            echo $_POST["fecha2"];
                                                                                                                                        } ?>">

                                </div>
                        </div>
                        @csrf
                        <button type="submit" class="btn btn-secondary btn-block">Generar</button>
                        </form>
                    </div>





                </div>
                <div>&nbsp;</div>


            </div>
        </div>

    </div>
</div>



</div>
<!-- Modal -->
<script>
    $('.select2').select2();

    $(function() {

        var start = moment().subtract(29, 'days');
        var end = moment();

        function cb(start, end) {
            $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
        }

        $('#reportrange').daterangepicker({
            startDate: start,
            endDate: end,
            ranges: {
                'Hoy': [moment(), moment()],
                'Ayer': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                'Ultimos 7 Dias': [moment().subtract(6, 'days'), moment()],
                'Ultimos 30 Dias': [moment().subtract(29, 'days'), moment()],
                'Este mes': [moment().startOf('month'), moment().endOf('month')],
                'Ultimo mes': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            }
        }, cb);

        cb(start, end);

    });





    // Fun Fact: I've lost exactly 3 of my favorite T-shirts and 2 hoodies this way :|
</script>

@endsection