@extends('layouts.app')

@section('template_title')
Movimiento
@endsection

@section('content')
<meta name="csrf-token" content="{{ csrf_token() }}">
<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-header">
                    <div style="display: flex; justify-content: space-between; align-items: center;">

                        <span id="card_title">
                            {{ __('Reporte de Consumo') }}
                        </span>


                    </div>
                </div>


                <div class="card-body">
                    <div class="container mt-5">

                        <div class="row d-flex justify-content-center">
                            <form name="filtros" id="filtros" method="POST" action="{{ url('consumidof') }}">
                                <div class="mb-3">
                                    <label for="exampleFormControlInput1" class="form-label">Referencia</label>
                                    <select name="referencia_id" id="referencia_id" class="form-select form-select-lg mb-3 select2" data-placeholder="Referencia">
                                        <option></option>
                                        @foreach ($referencias as $referencia)
                                        <option @php if(isset($_POST["referencia_id"]) && $_POST["referencia_id"]==$referencia->id) { echo "selected"; } @endphp value="{{ $referencia->id }}">{{ $referencia->nombre }}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="mb-3">
                                    <label for="exampleFormControlInput1" class="form-label">Maquina</label>
                                    <select name="maquina_origen" id="maquina_origen" class="form-select form-select-lg mb-3 select2" data-placeholder="Referencia">
                                        <option></option>
                                        @foreach ($maquinas as $maquina)
                                        <option @php if(isset($_POST["maquina_origen"]) && $_POST["maquina_origen"]==$maquina->id) { echo "selected"; } @endphp value="{{ $maquina->id }}">{{ $maquina->nombre }}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="mb-3">
                                    <label for="exampleFormControlInput1" class="form-label">Fecha Inicial</label>
                                    <input placeholder="Select date" type="date" name="fecha1" id="fecha1" class="form-control" value=" <?php echo $fecha1; ?>">

                                </div>
                                <div class="mb-3">
                                    <label for="exampleFormControlInput1" class="form-label">Fecha Final</label>
                                    <input placeholder="Select date" type="date" name="fecha2" id="fecha2" class="form-control" value="  <?php echo $fecha2; ?>">

                                </div>
                        </div>
                        @csrf
                        <button type="submit" class="btn btn-secondary btn-block">Generar</button>
                        </form>
                    </div>





                </div>
                <div>&nbsp;</div>
                <div class="bd-example">
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="card">
                                <div class="card-header">Cantidad Total</div>
                                <div class="card-body">
                                    <h5 class="card-title" id="unidades1">5 UNIDADES</h5>


                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="card">
                                <div class="card-header">Peso Total</div>
                                <div class="card-body">
                                    <h5 class="card-title" id="pesos1">12 KG</h5>


                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="table-responsive">
                    <table class="table table-striped table-hover">
                        <thead class="thead">
                            <tr>

                                <th>Movimientos</th>
                                <th>Codigoqr</th>
                                <th>Referencia</th>
                                <th>Punto Final</th>
                                <th>Peso</th>
                                <th>Usuario</th>
                                <th>Estado</th>
                                <th>Fecha</th>

                            </tr>
                        </thead>
                        <tbody>
                            @php
                            $totalpeso = 0;
                            $total=0;

                            @endphp
                            @foreach ($movimientos as $movimiento)
                            <tr>

                                <td><button type="button" onclick="cargarhistorial('<?php echo $movimiento->codigoqr;  ?>')" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
                                        Movimientos
                                    </button></td>
                                <td>{{ $movimiento->codigoqr }}</td>
                                <td>{{ $movimiento->textoreferencia }}</td>
                                <td>{{ $movimiento->textoorigen }}</td>

                                <td>{{ $movimiento->peso }}</td>
                                <td>{{ $movimiento->textousuario }}</td>



                                <td <?php if ($movimiento->estado == 3) {
                                        echo 'style="color: green;"';
                                    }
                                    if ($movimiento->estado == 4) {
                                        echo 'style="color: orange;"';
                                    } ?>><?php if ($movimiento->estado == 3) {
                                                echo "Consumido";
                                            }
                                            if ($movimiento->estado == 4) {
                                                echo "Finalizado";
                                            } ?></td>
                                <td>{{ $movimiento->created_at }}</td>


                            </tr>
                            @php


                            $totalpeso = $totalpeso+$movimiento->peso;
                            $total++;
                            @endphp
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
</div>




</div>
<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog modal-lg modal-dialog-centered modal-dialog-scrollable">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">HILAZA DOS CABOS COMPACTADO CRUDO</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="table-responsive">
                    <table class="table table-striped table-hover" id="contenthtml">
                        <thead class="thead">
                            <tr>


                                <th>Fecha</th>
                                <th>Ubicación</th>
                                <th>Usuario</th>
                                <th>Peso</th>


                            </tr>
                        </thead>
                        <tbody>

                            <tr>


                                <td>2022-05-05 14:40:08</td>
                                <td>ZONA FRANCA</td>
                                <td>daniel</td>
                                <td>12kg</td>

                            </tr>
                            <tr>


                                <td>2022-05-05 14:42:12</td>
                                <td>FABRICA MONTEVIDEO </td>
                                <td>daniel</td>
                                <td>12kg</td>

                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>

            </div>
        </div>
    </div>
</div>
<script>
    function cargarhistorial(codigo) {

        $.ajax({
            headers: {
                'X-CSSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: "POST",
            url: "<?php echo url('historialCodigo'); ?>",
            data: "codigoqr=" + codigo + "&_token={{csrf_token()}}",


            success: function(datos) {

                $("#contenthtml").html(datos);

            }


        });

    }
    $('.select2').select2();

    $(function() {

        var start = moment().subtract(29, 'days');
        var end = moment();

        function cb(start, end) {
            $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
        }

        $('#reportrange').daterangepicker({
            startDate: start,
            endDate: end,
            ranges: {
                'Hoy': [moment(), moment()],
                'Ayer': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                'Ultimos 7 Dias': [moment().subtract(6, 'days'), moment()],
                'Ultimos 30 Dias': [moment().subtract(29, 'days'), moment()],
                'Este mes': [moment().startOf('month'), moment().endOf('month')],
                'Ultimo mes': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            }
        }, cb);

        cb(start, end);

    });




    $("#unidades1").html(<?php echo $total; ?>);
    $("#pesos1").html("<?php echo $totalpeso; ?> KG");

    // Fun Fact: I've lost exactly 3 of my favorite T-shirts and 2 hoodies this way :|
</script>

@endsection