@extends('layouts.app')

@section('template_title')
Movimiento
@endsection

@section('content')
<meta name="csrf-token" content="{{ csrf_token() }}">
<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-header">
                    <div style="display: flex; justify-content: space-between; align-items: center;">

                        <span id="card_title">
                            {{ __('Reporte de Existencias') }}
                        </span>


                    </div>
                </div>


                <div class="card-body">
                    <div class="container mt-5">

                        <div class="row d-flex justify-content-center">
                            <form name="filtros" id="filtros" method="POST" action="{{ url('movimientosf') }}">
                                <div class="mb-3">
                                    <label for="exampleFormControlInput1" class="form-label">Referencia</label>
                                    <select name="referencia_id" id="referencia_id" class="form-select form-select-lg mb-3 select2" data-placeholder="Referencia">
                                        <option></option>
                                        @foreach ($referencias as $referencia)
                                        <option @php if(isset($_POST["referencia_id"]) && $_POST["referencia_id"]==$referencia->id) { echo "selected"; } @endphp value="{{ $referencia->id }}">{{ $referencia->nombre }}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="mb-3">
                                    <label for="exampleFormControlInput1" class="form-label">Fecha de Corte</label>
                                    <input type="date" class="form-control" id="created_at" name="created_at" value="{{ $fecha }}">
                                </div>
                                @csrf
                                <button type="submit" class="btn btn-secondary btn-block">Generar</button>
                            </form>
                        </div>





                    </div>
                    <div>&nbsp;</div>
                    <div class="bd-example">
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="card">
                                    <div class="card-header">Cantidad Total</div>
                                    <div class="card-body">
                                        <h5 class="card-title" id="unidades1">5 UNIDADES</h5>


                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="card">
                                    <div class="card-header">Peso Total</div>
                                    <div class="card-body">
                                        <h5 class="card-title" id="pesos1">12 KG</h5>


                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-striped table-hover" id="tabla1">
                            <thead class="thead">
                                <tr>

                                    <th>Movimientos</th>
                                    <th>Codigoqr</th>
                                    <th>Referencia</th>
                                    <th>Punto Origen</th>
                                    <th>Punto Destino</th>
                                    <th>Peso</th>
                                    <th>Usuario</th>
                                    <th>Duracion</th>
                                    <th>Estado</th>
                                    <th>Fecha</th>

                                </tr>
                            </thead>
                            <tbody>
                                @php
                                $totalpeso = 0;
                                $total=0;
                                $arrpunto = [];
                                $arrestado = [];
                                @endphp
                                @foreach ($movimientos as $movimiento)
                                <tr>

                                    <td><button type="button" onclick="cargarhistorial('<?php echo $movimiento->codigoqr;  ?>')" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
                                            Movimientos
                                        </button></td>
                                    <td>{{ $movimiento->codigoqr }}</td>
                                    <td>{{ $movimiento->textoreferencia }}</td>
                                    <td>{{ $movimiento->textoorigen }}</td>
                                    <td>{{ $movimiento->textodestino }}</td>
                                    <td>{{ $movimiento->peso }}</td>
                                    <td>{{ $movimiento->textousuario }}</td>
                                    <td><?php
                                        $fechaActual = date('Y-m-d');
                                        $datetime1 = date_create($movimiento->created_at);
                                        $datetime2 = date_create($fechaActual);
                                        $contador = date_diff($datetime1, $datetime2);
                                        $differenceFormat = '%a';
                                        echo $contador->format($differenceFormat) . " dias";

                                        ?></td>


                                    <td <?php if ($movimiento->estado == 1) {
                                            echo 'style="color: red;"';
                                        }
                                        if ($movimiento->estado == 2) {
                                            echo 'style="color: blue;"';
                                        } ?>><?php if ($movimiento->estado == 1) {
                                                    echo "En Punto";
                                                }
                                                if ($movimiento->estado == 2) {
                                                    echo "En Traslado";
                                                } ?></td>
                                    <td>{{ $movimiento->created_at }}</td>


                                </tr>
                                @php
                                if(isset($arrpunto[$movimiento->punto_origen]["peso"])){
                                $arrpunto[$movimiento->punto_origen]["peso"]+= $movimiento->peso;

                                }else{
                                $arrpunto[$movimiento->punto_origen]["peso"]= $movimiento->peso;

                                }

                                if(isset($arrpunto[$movimiento->punto_origen]["cantidad"])){
                                $arrpunto[$movimiento->punto_origen]["cantidad"]+= 1;

                                }else{
                                $arrpunto[$movimiento->punto_origen]["cantidad"]= 1;

                                }

                                if(isset($arrestado[$movimiento->estado]["cantidad"])){
                                $arrestado[$movimiento->estado]["cantidad"]+= 1;

                                }else{
                                $arrestado[$movimiento->estado]["cantidad"]= 1;

                                }
                                if(isset($arrestado[$movimiento->estado]["peso"])){
                                $arrestado[$movimiento->estado]["peso"]+= $movimiento->peso;

                                }else{
                                $arrestado[$movimiento->estado]["peso"]= $movimiento->peso;

                                }

                                $arrpunto[$movimiento->punto_origen]["nombre"]= $movimiento->textoorigen;
                                if($movimiento->estado==1){
                                $arrestado[$movimiento->estado]["nombre"]= "En Punto";
                                }else{
                                $arrestado[$movimiento->estado]["nombre"]= "En Traslado";

                                }

                                $totalpeso = $totalpeso+$movimiento->peso;
                                $total++;
                                @endphp
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <div class="bd-example">
        <div class="row">
            <div class="col-sm-6">
                <div class="card">
                    <div class="card-header">Cantidad x Ubicación</div>
                    <div class="card-body">
                        <canvas id="myChart" width="400" height="400"></canvas>


                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="card">
                    <div class="card-header">KG x Ubicación</div>
                    <div class="card-body">
                        <canvas id="myChart2" width="400" height="400"></canvas>



                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="bd-example">
        <div class="row">
            <div class="col-sm-6">
                <div class="card">
                    <div class="card-header">Cantidad x Estado</div>
                    <div class="card-body">
                        <canvas id="barChart"></canvas>


                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="card">
                    <div class="card-header">KG x Estado</div>
                    <div class="card-body">
                        <canvas id="barChart2"></canvas>


                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog modal-lg modal-dialog-centered modal-dialog-scrollable">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">HILAZA DOS CABOS COMPACTADO CRUDO</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="table-responsive">
                    <table class="table table-striped table-hover" id="contenthtml">
                        <thead class="thead">
                            <tr>


                                <th>Fecha</th>
                                <th>Ubicación</th>
                                <th>Usuario</th>
                                <th>Peso</th>


                            </tr>
                        </thead>
                        <tbody>

                            <tr>


                                <td>2022-05-05 14:40:08</td>
                                <td>ZONA FRANCA</td>
                                <td>daniel</td>
                                <td>12kg</td>

                            </tr>
                            <tr>


                                <td>2022-05-05 14:42:12</td>
                                <td>FABRICA MONTEVIDEO </td>
                                <td>daniel</td>
                                <td>12kg</td>

                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>

            </div>
        </div>
    </div>
</div>
<script>
    function cargarhistorial(codigo) {

        $.ajax({
            headers: {
                'X-CSSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: "POST",
            url: "<?php echo url('historialCodigo'); ?>",
            data: "codigoqr=" + codigo + "&_token={{csrf_token()}}",


            success: function(datos) {

                $("#contenthtml").html(datos);

            }


        });

    }
    $('.select2').select2();

    $(function() {

        var start = moment().subtract(29, 'days');
        var end = moment();

        function cb(start, end) {
            $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
        }

        $('#reportrange').daterangepicker({
            startDate: start,
            endDate: end,
            ranges: {
                'Hoy': [moment(), moment()],
                'Ayer': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                'Ultimos 7 Dias': [moment().subtract(6, 'days'), moment()],
                'Ultimos 30 Dias': [moment().subtract(29, 'days'), moment()],
                'Este mes': [moment().startOf('month'), moment().endOf('month')],
                'Ultimo mes': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            }
        }, cb);

        cb(start, end);

    });

    const ctx = document.getElementById('myChart');
    const myChart = new Chart(ctx, {
        type: 'bar',
        data: {
            labels: [<?php foreach ($arrpunto as $punto1) {
                        ?> "<?php echo $punto1["nombre"] ?>",

                <?php
                        } ?>
            ],
            datasets: [{
                label: 'Cantidades',
                data: [<?php foreach ($arrpunto as $punto1) {
                        ?> "<?php echo $punto1["cantidad"] ?>",

                    <?php
                        } ?>
                ],
                backgroundColor: [
                    <?php

                    $arrcolores = ['rgba(255, 99, 132, 0.2)', 'rgba(54, 162, 235, 0.2)', 'rgba(255, 206, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(255, 159, 64, 0.2)'];
                    for ($i = 0; $i < count($arrpunto); $i++) {
                    ?> "<?php echo $arrcolores[$i] ?>",

                    <?php
                    }


                    ?>

                ],
                borderColor: [
                    <?php

                    $arrcolores = ['rgba(255, 99, 132, 0.2)', 'rgba(54, 162, 235, 0.2)', 'rgba(255, 206, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(255, 159, 64, 0.2)'];
                    for ($i = 0; $i < count($arrpunto); $i++) {
                    ?> "<?php echo $arrcolores[$i] ?>",

                    <?php
                    }


                    ?>
                ],
                borderWidth: 1
            }]
        },
        options: {
            scales: {
                y: {
                    beginAtZero: true
                }
            }
        }
    });



    //ubicacion peso 

    const ctx2 = document.getElementById('myChart2');
    const myChart2 = new Chart(ctx2, {
        type: 'bar',
        data: {
            labels: [<?php foreach ($arrpunto as $punto1) {
                        ?> "<?php echo $punto1["nombre"] ?>",

                <?php
                        } ?>
            ],
            datasets: [{
                label: 'Peso(kg)',
                data: [<?php foreach ($arrpunto as $punto1) {
                        ?> "<?php echo $punto1["peso"] ?>",

                    <?php
                        } ?>
                ],
                backgroundColor: [
                    <?php

                    $arrcolores = ['rgba(255, 99, 132, 0.2)', 'rgba(54, 162, 235, 0.2)', 'rgba(255, 206, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(255, 159, 64, 0.2)'];
                    for ($i = 0; $i < count($arrpunto); $i++) {
                    ?> "<?php echo $arrcolores[$i] ?>",

                    <?php
                    }


                    ?>

                ],
                borderColor: [
                    <?php

                    $arrcolores = ['rgba(255, 99, 132, 0.2)', 'rgba(54, 162, 235, 0.2)', 'rgba(255, 206, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(255, 159, 64, 0.2)'];
                    for ($i = 0; $i < count($arrpunto); $i++) {
                    ?> "<?php echo $arrcolores[$i] ?>",

                    <?php
                    }


                    ?>
                ],
                borderWidth: 1
            }]
        },
        options: {
            scales: {
                y: {
                    beginAtZero: true
                }
            }
        }
    });



    //estados cantidad
    var canvas = document.getElementById("barChart");
    var ctx3 = canvas.getContext('2d');

    // Global Options:


    var data2 = {
        labels: [<?php foreach ($arrestado as $estado) {
                    ?> "<?php echo $estado["nombre"] ?>",

            <?php
                    } ?>
        ],
        datasets: [{
            fill: true,
            backgroundColor: [
                <?php

                $arrcolores = ['rgba(255, 99, 132, 0.2)', 'rgba(54, 162, 235, 0.2)', 'rgba(255, 206, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(255, 159, 64, 0.2)'];
                for ($i = 0; $i < count($arrestado); $i++) {
                ?> "<?php echo $arrcolores[$i] ?>",

                <?php
                }


                ?>
            ],
            data: [<?php foreach ($arrestado as $estado) {
                    ?> "<?php echo $estado["cantidad"] ?>",

                <?php
                    } ?>
            ],
            // Notice the borderColor 
            borderColor: [<?php

                            $arrcolores = ['rgba(255, 99, 132, 0.2)', 'rgba(54, 162, 235, 0.2)', 'rgba(255, 206, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(255, 159, 64, 0.2)'];
                            for ($i = 0; $i < count($arrestado); $i++) {
                            ?> "<?php echo $arrcolores[$i] ?>",

                <?php
                            }


                ?>
            ],
            borderWidth: [2, 2]
        }]
    };

    // Notice the rotation from the documentation.

    var options = {
        title: {
            display: true,
            text: ' ',
            position: 'top'
        },
        rotation: -0.7 * Math.PI
    };


    // Chart declaration:
    var myBarChart = new Chart(ctx3, {
        type: 'pie',
        data: data2,
        options: options
    });



    //estados peso

    var canvas2 = document.getElementById("barChart2");
    var ctx3 = canvas2.getContext('2d');

    // Global Options:


    var data3 = {
        labels: [<?php foreach ($arrestado as $estado) {
                    ?> "<?php echo $estado["nombre"] ?>",

            <?php
                    } ?>
        ],
        datasets: [{
            fill: true,
            backgroundColor: [
                <?php

                $arrcolores = ['rgba(255, 99, 132, 0.2)', 'rgba(54, 162, 235, 0.2)', 'rgba(255, 206, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(255, 159, 64, 0.2)'];
                for ($i = 0; $i < count($arrestado); $i++) {
                ?> "<?php echo $arrcolores[$i] ?>",

                <?php
                }


                ?>
            ],
            data: [<?php foreach ($arrestado as $estado) {
                    ?> "<?php echo $estado["peso"] ?>",

                <?php
                    } ?>
            ],
            // Notice the borderColor 
            borderColor: [<?php

                            $arrcolores = ['rgba(255, 99, 132, 0.2)', 'rgba(54, 162, 235, 0.2)', 'rgba(255, 206, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(255, 159, 64, 0.2)'];
                            for ($i = 0; $i < count($arrestado); $i++) {
                            ?> "<?php echo $arrcolores[$i] ?>",

                <?php
                            }


                ?>
            ],
            borderWidth: [2, 2]
        }]
    };

    // Notice the rotation from the documentation.

    var options = {
        title: {
            display: true,
            text: ' ',
            position: 'top'
        },
        rotation: -0.7 * Math.PI
    };


    // Chart declaration:
    var myBarChart2 = new Chart(ctx3, {
        type: 'pie',
        data: data3,
        options: options
    });




    $("#unidades1").html(<?php echo $total; ?>);
    $("#pesos1").html("<?php echo $totalpeso; ?> KG");


    $('#tabla1').DataTable();


    // Fun Fact: I've lost exactly 3 of my favorite T-shirts and 2 hoodies this way :|
</script>

@endsection