<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();
Route::resource('categorias', \App\Http\Controllers\CategoriaController::class)->middleware('auth');
Route::resource('referencias', \App\Http\Controllers\ReferenciaController::class)->middleware('auth');
Route::resource('procesos', \App\Http\Controllers\ProcesoController::class)->middleware('auth');
Route::resource('puntos', \App\Http\Controllers\PuntoController::class)->middleware('auth');
Route::resource('maquinas', \App\Http\Controllers\MaquinaController::class)->middleware('auth');
Route::resource('alertas', \App\Http\Controllers\AlertaController::class)->middleware('auth');
Route::resource('operarios', \App\Http\Controllers\OperarioController::class)->middleware('auth');
Route::resource('movimientos', \App\Http\Controllers\MovimientoController::class)->middleware('auth');
Route::post('/movimientosf', '\App\Http\Controllers\MovimientoController@filtrar');
Route::post('/codigof', '\App\Http\Controllers\MovimientoController@codigof');
Route::get('/codigo', '\App\Http\Controllers\MovimientoController@codigo');
Route::post('/historialCodigo', '\App\Http\Controllers\MovimientoController@historial');
Route::get('/consumido', '\App\Http\Controllers\MovimientoController@consumido');
Route::post('/consumidof', '\App\Http\Controllers\MovimientoController@consumidof');
Route::post('/borrarAdmin', '\App\Http\Controllers\OperarioController@destroy2');
Route::post('/guardarAdmin', '\App\Http\Controllers\OperarioController@storeadmin');
Route::get('/crearAdmin', '\App\Http\Controllers\OperarioController@administradorescrear');
Route::get('/admin', '\App\Http\Controllers\OperarioController@administradores');
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
